# xoxys.podman

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.podman/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.podman)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.podman/src/branch/main/LICENSE)

Setup Podman container manager.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [podman_containers_logger](#podman_containers_logger)
  - [podman_engine_event_logger](#podman_engine_event_logger)
  - [podman_nsremap_range_length](#podman_nsremap_range_length)
  - [podman_nsremap_range_start](#podman_nsremap_range_start)
  - [podman_registries](#podman_registries)
  - [podman_sebooleans](#podman_sebooleans)
  - [podman_socket_enabled](#podman_socket_enabled)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### podman_containers_logger

#### Default value

```YAML
podman_containers_logger: journald
```

### podman_engine_event_logger

#### Default value

```YAML
podman_engine_event_logger: journald
```

### podman_nsremap_range_length

#### Default value

```YAML
podman_nsremap_range_length: 65536
```

### podman_nsremap_range_start

#### Default value

```YAML
podman_nsremap_range_start: 231072
```

### podman_registries

List of docker registries to auto login

#### Default value

```YAML
podman_registries: []
```

#### Example usage

```YAML
podman_registries:
  - registry: myregistry.example.com (optional)
    username: docker
    password: secure
    reauthorize: False
    state: present
```

### podman_sebooleans

#### Default value

```YAML
podman_sebooleans:
  - name: container_manage_cgroup
    state: true
    persistent: true
```

### podman_socket_enabled

#### Default value

```YAML
podman_socket_enabled: false
```



## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
